List of company vehicle's IFTA trips

Purpose: Use this API to fetch a list of the company vehicle's IFTA trip reports. The trip report basically consists of details such as miles travelled in each jurisdiction, fuel purchased, and vehicle's odometer readings. These reports are required for the compliance with the IFTA regulations in multiple jurisdictions in the United States and in Canada. These reports ensure that fuel taxes are fairly distributed among the states and provinces where the vehicles operate. The trip reports are then used to calculate tax liabilities.

📘

NOTE

The API response contains fields calibrated start_odometer and calibrated_end_odometer, that are available as a feature.

require 'uri'
require 'net/http'

url = URI('https://api.gomotive.com/v1/ifta/trips')

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request['Authorization'] = "Bearer #{OAUTH_TOKEN}"

response = http.request(request)
puts response.read_body

Response Parameters

ifta_trip

  • Type: Object
  • Description: Contains details about an IFTA trip, including vehicle information, odometer readings, and geographic data.

id

  • Type: Integer
  • Description: Unique identifier for the IFTA trip.

date

  • Type: String
  • Description: The date of the IFTA trip in YYYY-MM-DD format.

jurisdiction

  • Type: String
  • Description: The jurisdiction where the trip took place, represented by the jurisdiction code.

vehicle

  • Type: Object
  • Description: Information about the vehicle associated with the IFTA trip.

id

  • Type: Integer
  • Description: Unique identifier for the vehicle.

number

  • Type: String
  • Description: The vehicle's number.

year

  • Type: String
  • Description: The year the vehicle was manufactured.

make

  • Type: String
  • Description: The make of the vehicle.

model

  • Type: String
  • Description: The model of the vehicle.

vin

  • Type: String
  • Description: The vehicle identification number (VIN) of the vehicle.

metric_units

  • Type: Boolean
  • Description: Indicates whether the vehicle's units are metric (true) or imperial (false).

start_odometer

  • Type: String
  • Description: The odometer reading at the start of the trip.

end_odometer

  • Type: String
  • Description: The odometer reading at the end of the trip.

calibrated_start_odometer

  • Type: String
  • Description: The calibrated odometer reading at the start of the trip.

calibrated_end_odometer

  • Type: String
  • Description: The calibrated odometer reading at the end of the trip.

start_lat

  • Type: String
  • Description: The latitude coordinate at the start of the trip.

start_lon

  • Type: String
  • Description: The longitude coordinate at the start of the trip.

end_lat

  • Type: String
  • Description: The latitude coordinate at the end of the trip.

end_lon

  • Type: String
  • Description: The longitude coordinate at the end of the trip.

distance

  • Type: String
  • Description: The total distance traveled during the trip.

time_zone

  • Type: String
  • Description: The time zone in which the trip occurred.

Query Params
jurisdictions
array of strings

Specify the jurisdiction to fetch the trip reports for only the specified jurisdiction.

jurisdictions
vehicle_ids[]
array of int32s

Specify either one or multiple vehicle IDs to fetch the list of IFTA trip reports corresponding to the specified vehicles.

vehicle_ids[]
date

Specify a date from when you want the IFTA reports to be fetched.

date

Specify a date within which the IFTA trip reports must be fetched.

string

Specify the vehicle fuel type for which you want to view the IFTA reports. Acceptable values are Diesel, Gasoline, Propane, LNG, CNG, Ethanol, Methanol, E85, M85, A55, Biodiesel, and Others.

int32
Defaults to 25

Number of records to return per page.

int32
Defaults to 1

Current page number.

Headers
string

Specify the timezone for formatting the timestamps.

boolean

Specify if you want to use the Metric units or the Imperial units. TRUE: Metric units. FALSE: Imperial Units

int32

Specify the ID of the Fleet Admin or the Fleet Manager who is accessing this endpoint.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json